Seriously RIM . . . What is the holdup?

I have a 8320 that needs 4.3!